Bug 1007966 - [RHSC] "Error: TCP Port 80 is already open by httpd" seen while executing rhsc-setup
[RHSC] "Error: TCP Port 80 is already open by httpd" seen while executing rhs...
Status: CLOSED WONTFIX
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: rhsc (Show other bugs)
2.1
Unspecified Unspecified
low Severity medium
: ---
: ---
Assigned To: Darshan
Shruti Sampat
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-13 12:01 EDT by Shruti Sampat
Modified: 2015-08-28 06:17 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-28 06:17:50 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
engine setup logs (15.92 KB, text/x-log)
2013-09-13 12:01 EDT, Shruti Sampat
no flags Details

  None (edit)
Description Shruti Sampat 2013-09-13 12:01:46 EDT
Created attachment 797425 [details]
engine setup logs

Description of problem:
--------------------------
After installing rhsc and its dependencies, running the 'rhsc-setup' command results in the following error when the step for choosing HTTP Port is executed --------------------------
[root@rhsc ~]# rhsc-setup 
Availble memory (3734) is lower then the minimum requirments (4096)
Would you like to proceed? (yes|no): yes
Welcome to RHS Console setup utility
HTTP Port  [80] : 
Error: TCP Port 80 is already open by httpd (pid: 10143)
Please choose a different port.
HTTP Port  [80] : 
Error: TCP Port 80 is already open by httpd (pid: 10143)
Please choose a different port.
HTTP Port  [80] : ^C
Keyboard interrupt caught.
Please check log file /var/log/ovirt-engine/engine-setup_2013_09_13_18_30_31.log for more information

After interrupting the setup, and stopping the httpd service, the setup works fine.

Version-Release number of selected component (if applicable):
rhsc-2.1.0-0.bb10.el6rhs.noarch

How reproducible:
Very intermittent. Have been able to reproduce it only twice out of multiple attempts.

Steps to Reproduce:
1. Install RHEL 6.4 on a machine and register to the channels jbappplatform-6-x86_64-server-6-rpm, rhel-x86_64-server-6
2. Download rhsc packages.
3. Run 'yum update' and then run 'yum install rhsc'
4. Immediately run rhsc-setup.

Actual results:
The above described error is seen.

Expected results:
Setup should proceed without errors.

Additional info:
Attaching setup logs.
Comment 2 Prasanth 2013-09-17 05:20:22 EDT
I've also hit the same issue during my Errata testing. Stopping httpd and re-starting the setup worked fine. See below:

-------------
[root@vm09 backups]# rhsc-setup 
Welcome to RHS Console setup utility
HTTP Port  [80] : 
Error: TCP Port 80 is already open by httpd (pid: 6261)
Please choose a different port.
HTTP Port  [80] : 
Error: TCP Port 80 is already open by httpd (pid: 6261)
Please choose a different port.
HTTP Port  [80] : 
Error: TCP Port 80 is already open by httpd (pid: 6261)
Please choose a different port.
HTTP Port  [80] : 
Error: TCP Port 80 is already open by httpd (pid: 6261)
Please choose a different port.
HTTP Port  [80] : ^C
Keyboard interrupt caught.
Please check log file /var/log/ovirt-engine/engine-setup_2013_09_13_18_02_34.log for more information
[root@vm09 backups]# 
[root@vm09 backups]# 
[root@vm09 backups]# /etc/init.d/httpd stop
Stopping httpd:                                            [  OK  ]
[root@vm09 backups]# rhsc-setup 
Welcome to RHS Console setup utility
HTTP Port  [80] : 
HTTPS Port  [443] : 
Setup can configure server default page to launch RHS Console. Do you wish to do so? ['yes'| 'no']  [yes] : 
Host fully qualified domain name. Note: this name should be fully resolvable  [vm09.lab.eng.blr.redhat.com] : 
Enter a password for an internal RHS Console administrator user (admin@internal) :
-------------
Comment 3 Dusmant 2013-10-25 07:05:12 EDT
Pls. provide, which service/application is holding the port 80. Did Apache started during yum install?
Comment 4 Prasanth 2014-06-10 05:28:29 EDT
(In reply to Dusmant from comment #3)
> Pls. provide, which service/application is holding the port 80. Did Apache
> started during yum install?

yes
Comment 5 Dusmant 2015-08-28 06:17:50 EDT
I don't think, this issue is anymore applicable for version : 3.1.
Hence, we are not planning to fix it and closing this BZ. If you think, it's applicable for 3.x release and would have an impact on customer, pls. open up a new BZ with the appropriate version. Thanks, -Dusmant

Note You need to log in before you can comment on or make changes to this bug.